Bug 177009 - [MAINTAINER] Update databases/mariadb55-{client,server} to 5.5.30
[MAINTAINER] Update databases/mariadb55-{client,server} to 5.5.30
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Florian Smeets
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-15 23:50 UTC by never
Modified: 2013-03-16 00:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.51 KB, patch)
2013-03-15 23:50 UTC, never
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description never 2013-03-15 23:50:00 UTC
Update to 5.5.30.

Fix: Apply patch attached.
How-To-Repeat: N/A
Comment 1 Florian Smeets freebsd_committer 2013-03-15 23:53:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

I'll take it.
Comment 2 dfilter freebsd_committer 2013-03-16 00:35:56 UTC
Author: flo
Date: Sat Mar 16 00:35:47 2013
New Revision: 314329
URL: http://svnweb.freebsd.org/changeset/ports/314329

Log:
  Update to 5.5.30
  
  PR:		ports/177009
  Submitted by:	Alexandr Kovalenko <never@nevermind.kiev.ua> (maintainer)

Deleted:
  head/databases/mariadb55-server/files/patch-storage_oqgraph_CMakeLists.txt
Modified:
  head/databases/mariadb55-server/Makefile
  head/databases/mariadb55-server/distinfo
  head/databases/mariadb55-server/files/patch-libmysql_CMakeLists.txt

Modified: head/databases/mariadb55-server/Makefile
==============================================================================
--- head/databases/mariadb55-server/Makefile	Fri Mar 15 22:41:58 2013	(r314328)
+++ head/databases/mariadb55-server/Makefile	Sat Mar 16 00:35:47 2013	(r314329)
@@ -1,8 +1,8 @@
 # $FreeBSD$
 
 PORTNAME?=	mariadb
-PORTVERSION=	5.5.29
-PORTREVISION?=	1
+PORTVERSION=	5.5.30
+PORTREVISION?=	0
 CATEGORIES=	databases ipv6
 MASTER_SITES=	http://ftp.osuosl.org/pub/mariadb/${PORTNAME}-${PORTVERSION}/kvm-tarbake-jaunty-x86/ \
 		http://mirrors.supportex.net/mariadb/${PORTNAME}-${PORTVERSION}/kvm-tarbake-jaunty-x86/ \

Modified: head/databases/mariadb55-server/distinfo
==============================================================================
--- head/databases/mariadb55-server/distinfo	Fri Mar 15 22:41:58 2013	(r314328)
+++ head/databases/mariadb55-server/distinfo	Sat Mar 16 00:35:47 2013	(r314329)
@@ -1,2 +1,2 @@
-SHA256 (mariadb-5.5.29.tar.gz) = b0e25b5451dbf8e8c8bf243bbd0aeb264db0da2caceafc7e2c9fad77b8d4be74
-SIZE (mariadb-5.5.29.tar.gz) = 27935253
+SHA256 (mariadb-5.5.30.tar.gz) = 64dba5f1819f1d4ebf7ed31d74e4106c981a24b88259995deba3734fb7c4635f
+SIZE (mariadb-5.5.30.tar.gz) = 27875216

Modified: head/databases/mariadb55-server/files/patch-libmysql_CMakeLists.txt
==============================================================================
--- head/databases/mariadb55-server/files/patch-libmysql_CMakeLists.txt	Fri Mar 15 22:41:58 2013	(r314328)
+++ head/databases/mariadb55-server/files/patch-libmysql_CMakeLists.txt	Sat Mar 16 00:35:47 2013	(r314329)
@@ -1,6 +1,6 @@
---- libmysql/CMakeLists.txt.orig	2010-12-03 18:58:26.000000000 +0100
-+++ libmysql/CMakeLists.txt	2010-12-23 22:01:37.000000000 +0100
-@@ -153,13 +153,14 @@
+--- libmysql/CMakeLists.txt.orig	2013-03-15 22:24:20.000000000 +0200
++++ libmysql/CMakeLists.txt	2013-03-15 22:24:34.000000000 +0200
+@@ -329,13 +329,14 @@
  
  # Merge several convenience libraries into one big mysqlclient
  # and link them together into shared library.
@@ -16,20 +16,20 @@
  IF(UNIX)
    MACRO(GET_VERSIONED_LIBNAME LIBNAME EXTENSION VERSION OUTNAME)
      SET(DOT_VERSION ".${VERSION}")
-@@ -174,9 +175,11 @@
+@@ -350,9 +351,11 @@
    ENDMACRO()
    INSTALL_SYMLINK(${CMAKE_STATIC_LIBRARY_PREFIX}mysqlclient_r.a mysqlclient ${INSTALL_LIBDIR} Development)
  ENDIF()
 +ENDIF()
  
  IF(NOT DISABLE_SHARED)
--  MERGE_LIBRARIES(libmysql SHARED ${LIBS} EXPORTS ${CLIENT_API_FUNCTIONS} COMPONENT SharedLibraries)
-+  MERGE_LIBRARIES(libmysql SHARED ${LIBS} EXPORTS ${CLIENT_API_FUNCTIONS} COMPONENT SharedLibraries NOINSTALL)
+-  MERGE_LIBRARIES(libmysql SHARED ${LIBS} EXPORTS ${CLIENT_API_FUNCTIONS} ${CLIENT_API_EXTRA} COMPONENT SharedLibraries)
++  MERGE_LIBRARIES(libmysql SHARED ${LIBS} EXPORTS ${CLIENT_API_FUNCTIONS} ${CLIENT_API_EXTRA} COMPONENT SharedLibraries NOINSTALL)
 +IF(FALSE)
    IF(UNIX)
      # libtool compatability
      IF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD" OR APPLE)
-@@ -223,3 +226,4 @@
+@@ -399,3 +402,4 @@
      ENDFOREACH()
    ENDIF()
  ENDIF()
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Florian Smeets freebsd_committer 2013-03-16 00:35:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!